=== debian/changelog ===
muse (2.1.2-3) unstable; urgency=medium

  * Team upload.
  * Force muse modules to be installed under /usr/lib/muse. (LP: #1596486)

 -- James Cowgill <jcowgill@debian.org>  Fri, 02 Sep 2016 12:08:59 +0000

muse (2.1.2-2) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * Update Vcs URLs.
  * Fix path to user documentation in debian/rules. (Closes: #827239)
  * Add %f option to desktop file Exec key.
  * Drop the menu file and xpm icon.
  * Bump standards to 3.9.8.

  [ Philip Chung ]
  * Fix FTBFS with GCC 6. (Closes: #831147)

  [ Adriano Rafael Gomes ]
  * Add Brazilian Portuguese debconf templates translation. (Closes: #816947)

 -- James Cowgill <jcowgill@debian.org>  Wed, 31 Aug 2016 23:40:44 +0100

muse (2.1.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh patches.
  * Fix doc links.

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Aug 2013 16:25:57 +0100
