## muse 3.0.2

=== debian/changelog ===
muse (3.0.2-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * debian/control and rules: build against Qt 5 instead of Qt 4.
  * Update debian/copyright to 2018.
  * Refresh 1001-buildsystem.patch and 1003-desktop.patch, drop
    1002-abs-errors.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 16 Sep 2018 13:59:51 -0700
