=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: muse
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Fabrice Coutadeur <coutadeurf@gmail.com>
@@ -14,7 +15,9 @@
  libfluidsynth-dev,
  libjack-dev,
  liblo-dev,
- libqt4-dev,
+ libqt5svg5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libsamplerate0-dev,
  libsndfile1-dev,
  libx11-dev,
@@ -32,7 +35,7 @@
  ${shlibs:Depends}
 Suggests:
  jackd
-Description: Qt4-based audio/MIDI sequencer
+Description: Qt5-based audio/MIDI sequencer
  MusE is a MIDI/audio sequencer with recording and editing capabilities.
  Some Highlights:
  .
